Subject: Re: bug#45605: 28.0.50; [macos] could not load dump file

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jan 2021 16:45:20 +0100

Pankaj Jangid <[email-masked]> writes:

> Binary is built. But in the end of ‘make bootstrap’, and when I run
> the executable, I get this,
>
> desired fingerprint: a34ddd269ef1a8b036d7dc1d011d235ea4a6b4889bc78aa11ed1e593906e85d1
> found fingerprint: c309a34afb78f953a36914d34d5b85e140ac96638f85a8fbadd4ee287beb52d8
> emacs: could not load dump file "/Users/pankaj/work/code/savannah/emacs/src/emacs.pdmp": not built for this Emacs executable
>
> I built on HEAD -> master -> 0f561ee55348ff451600cc6027db5940ee14606f

I saw this again today (on Catalina) on a "git pull; make -j4
bootstrap".  The next "make -j4 bootstrap" worked OK, though.

So either this is because boostrap doesn't delete all the files needed
(it, confusingly enough, deletes less than "make extraclean"), or
there's a race condition here somewhere, perhaps?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no